<?php

/*
----------------------------------------
Функция фильтрации записей в базу данных
по заданному интервалу
----------------------------------------
*/
  
FUNCTION DB_FILTER(){
  
  GLOBAL $user;
  
  IF (ISSET($user)){
    
    IF ($user['DB_FILTER'] < TIME()){
      
      DB::GET_SET("UPDATE `USERS` SET `DB_FILTER` = '".(TIME() + CONFIG('DB_INTERVAL'))."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
      
    }ELSE{
      
      ERROR('Слишком частое действие. Подождите немного.');
      REDIRECT(REQUEST_URI);
      
    }
    
  }
  
}
  
?>